<?php
error_reporting(E_ERROR | E_PARSE);

require_once "connect.php";
//require_once '../inc/messages.php';

//require_once '../inc/usuario.php';


//checkLogin('../login.php');

// capturando o usuário e unidade logado
$usuario_list = getLoggedUser();
$id_usuario=$usuario_list['id'];
$id_unidade=$usuario_list['unidade'];


//Recebendo parametros do Form
if(isset($_POST['id'])){
  $id         = $_POST['id'];
}

if(isset($_POST['nr_comanda'])){
    $nr_comanda = $_POST['nr_comanda'];    
}
if(isset($_POST['id_produto'])){
    $id_produto = $_POST['id_produto'];    
}
if(isset($_POST['id_unidade_medida'])){
    $id_unidade_medida = $_POST['id_unidade_medida'];   
}
if(isset($_POST['ds_observacao'])){
    $ds_observacao = $_POST['ds_observacao'];    
}
if(isset($_POST['qt_pedido'])){
    $qt_pedido = $_POST['qt_pedido'];   
}
if(isset($_POST['vl_unitario'])){
    $vl_unitario = $_POST['vl_unitario'];    
}
if(isset($_POST['st_tipo'])){
    $st_tipo = $_POST['st_tipo'];    
}


if(isset($_GET['nr_comanda'])){
    $nr_comanda = $_GET['nr_comanda'];    
}
if(isset($_GET['id_produto'])){
    $id_produto = $_GET['id_produto'];    
}
if(isset($_GET['id_unidade_medida'])){
    $id_unidade_medida = $_GET['id_unidade_medida'];   
}
if(isset($_GET['ds_observacao'])){
    $ds_observacao = $_GET['ds_observacao'];    
}
if(isset($_GET['qt_pedido'])){
    $qt_pedido = $_GET['qt_pedido'];   
}
if(isset($_GET['vl_unitario'])){
    $vl_unitario = $_GET['vl_unitario'];    
}
if(isset($_GET['st_tipo'])){
    $st_tipo = $_GET['st_tipo'];    
}


$qt_pedido  = str_replace(",", ".", $qt_pedido); 
$vl_unitario= str_replace(",", ".", $vl_unitario); // inverter formato BR 1,6789 para MySql 1.6789


echo "<br>$nr_comanda";
echo "<br>$id_produto";
echo "<br>$id_unidade_medida";
echo "<br>$qt_pedido";
echo "<br>$vl_unitario";
echo "<br>$id_usuario";
echo "<br>$st_tipo";
exit;

$ok = true;

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['btn-add'])) {
	$sql = "insert into erpc_comanda(
           id_unidade, nr_comanda,    id_produto,    id_unidade_medida,    qt_pedido,    vl_unitario, ds_pedido,  id_usuario, st_comanda, st_entrega)
  values( '$id_unidade', '$nr_comanda', '$id_produto', '$id_unidade_medida', '$qt_pedido', '$vl_unitario', '$ds_observacao', $id_usuario, 1, 0)";
}

// Se montou o SQL, executa
if($sql!=""){
  // echo "<br>$sql";
  try{
    $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
    $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

    addMessage("Produto incluído com sucesso!");
  }catch (Exception $e) {
    $errorMsg = $e->getMessage();
    addError("Houve um erro ao incluir produto, verifique a quantidade informada:" . $errorMsg);
  }  
}

/*
echo $ok;
echo $sql;
exit;
*/

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = ".........=======> " . $errorMsg;
    $msg['type'] = 'error';
  }
  //header('Content-type: application/json');
  echo json_encode($msg);
}else{
  //header("Location:erpc_comanda_add.php");
}
?>
